Support » Plugin: Slider by Supsystic » Twig error makes plugin incompatible with Shield Security plugin

  • Resolved eSaner

    (@esaner)


    Slider by Supsystic 1.7.48 is not working with Shield Security 8.5.7 (https://wordpress.org/plugins/wp-simple-firewall/). With both plugins activated the following error occurs.

    Error Details
    =============
    An error of type E_ERROR was caused in line 56 of the file /srv/www/website.com/releases/20200213212008/web/app/plugins/wp-simple-firewall/src/lib/vendor/twig/twig/src/Lexer.php. Error message: Uncaught TypeError: Argument 1 passed to Twig\Lexer::__construct() must be an instance of Twig\Environment, instance of Twig_Environment given, called in /srv/www/website.com/releases/20200213212008/web/app/plugins/slider-by-supsystic/vendor/Twig/Environment.php on line 650 and defined in /srv/www/website.com/releases/20200213212008/web/app/plugins/wp-simple-firewall/src/lib/vendor/twig/twig/src/Lexer.php:56
    Stack trace:
    #0 /srv/www/website.com/releases/20200213212008/web/app/plugins/slider-by-supsystic/vendor/Twig/Environment.php(650): Twig\Lexer->__construct(Object(Twig_Environment))
    #1 /srv/www/website.com/releases/20200213212008/web/app/plugins/slider-by-supsystic/vendor/Twig/Environment.php(750): Twig_Environment->tokenize(Object(Twig\Source))
    #2 /srv/www/website.com/releases/20200213212008/web/app/plugins/slider-by-supsystic/vendor/Twig/Environment.php(447): Twig_Environment->compileSource(Object(Twig\Source))
    #3 /srv/www/website.com/releases/20200213212008/web/app/plugins/slider-by-supsystic/vend

Viewing 4 replies - 1 through 4 (of 4 total)
  • Thread Starter eSaner

    (@esaner)

    Shield is using Twig 1.42.2, Slider by Supsystic is Twig 1.33.2.

    Plugin Author supsystic

    (@supsysticcom)

    Hello, @esaner
    Thank you for contacting us regarding your issue.

    Indeed, we know that our library is out of date.
    We will try update library in next plugin version.
    Everything needs to be checked carefully before release.

    Best regards,
    Ole

    Supsystic – has there been an update on this? I have a client that is experiencing the same issue.

    Plugin Author supsystic

    (@supsysticcom)

    We update TWIG library yesterday.

    Best regards,
    Ole

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Twig error makes plugin incompatible with Shield Security plugin’ is closed to new replies.